# TV :	DON'T USE find_lang on gimp, it only guess gimp.mo not
# imp-std-plugins.mo and gimp-script-fu.mo

%define revision 5
%define subver 1.2
#%define prerel 3

Name: gimp
Version: %subver.%revision
Release: alt1


Summary: The GNU Image Manipulation Program
License: GPL
Group: Graphics
Url: http://www.gimp.org/

Source: ftp://ftp.%name.org/pub/%name/v%subver/v%version/%name-%version.tar.bz2
Source1: %name.xpm.bz2
Source2: mini-%name.xpm.bz2
Source3: %name.desktop
Source10: %name-16.xpm
Source11: %name-32.xpm
Source12: %name-48.xpm

Patch1: %name-1.1.23-perlpath.patch.bz2
Patch2: %name-1.1.32-tv_mpeg.patch
Patch3: %name-1.2.3-1251tips.patch
Patch4: %name-1.2.3-lab_compose.patch
#MDK patches
Patch5: %name-1.2.3-wget-fix.patch
Patch6: %name-1.2.3-newperl.patch

Obsoletes: %name-data-min
Requires: lib%name = %version-%release
Provides: hack%name

# Automatically added by buildreq on Fri Nov 01 2002
BuildRequires: XFree86-devel XFree86-libs aalib-devel glib-devel glibc-devel-static gnome-libs-devel gtk+-devel gtk-doc libgimp libgpm-devel libjpeg-devel libpng-devel libslang-devel libtiff-devel perl-GTK perl-Parse-RecDescent perl-devel xpm-devel zlib-devel

%package -n lib%name
Summary: GIMP libraries
Group: System/Libraries
License: LGPL
Provides: %name-lib%name = %version, libgck.so.0, lib%name.so.0, libgimpui.so.0
Obsoletes: %name-lib%name

%package -n lib%name-devel
Summary: GIMP plugin and extension development kit
Group: Development/C
Requires: gtk+-devel
PreReq: /sbin/install-info
Requires: lib%name = %version-%release
Provides: %name-devel = %version
Obsoletes: %name-devel

%package -n lib%name-devel-static
Summary: GIMP static libraries
Group: Development/C
Requires: gtk+-devel-static
Requires: lib%name-devel = %version-%release

%package perl
Summary: GIMP perl extensions and plugins
Group: Graphics
Requires: %name = %version-%release
AutoReqProv: yes, perl

%description
The GIMP is an image manipulation program suitable for photo retouching,
image composition and image authoring.  Many people find it extremely useful
in creating logos and other graphics for web pages.  The GIMP has many of the
tools and filters you would expect to find in similar commercial offerings,
and some interesting extras as well.

The GIMP provides a large image manipulation toolbox, including channel
operations and layers, effects, sub-pixel imaging and anti-aliasing,
and conversions, all with multi-level undo.

This version of The GIMP includes a scripting facility, but many of the
included scripts rely on fonts that we cannot distribute.  The GIMP ftp
site has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts.  Some of the
fonts have unusual licensing requirements; all the licenses are documented
in the package.  Get ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz
and ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz if you are so
inclined.  Alternatively, choose fonts which exist on your system before
running the scripts.

%description -n lib%name
Libraries used to communicate between The GIMP and other programs which
may function as "GIMP plugins".

%description -n lib%name-devel
Development libraries and header files for writing GIMP plugins and extensions.

%description -n lib%name-devel-static
Static libraries for developing statically linked GIMP plugins and extensions.

%description perl
The gimp-perl package contains all the perl extensions and perl plugins.

%prep 
%setup -q
%patch1 -p1 -b .perlpath
%patch2 -p1
#patch3 -p1
%patch4 -p1
%patch5 -p1
#patch6 -p1
%__subst 's/(<|\"|-l| )mpeg/\1bmpeg/' configure
#hack
%__subst 's/use of/us of/' plug-ins/perl/Gimp.pm
%__subst 's/use of/us of/' plug-ins/perl/examples/glowing_steel
%__subst 's/use of/us of/' plug-ins/perl/examples/image_tile
%__subst 's/use of/us of/' plug-ins/perl/examples/logulator

%build
%add_optflags %optflags_fastmath
%configure  --with-mp=yes

%make

gzip -9 docs/*ps

%install
mkdir -p $RPM_BUILD_ROOT{%_menudir,%_infodir,%_iconsdir/mini,%_includedir,%_bindir,%_libdir/%name/%subver/plug-ins,%_sysconfdir/X11/wmconfig}

mkdir -p $RPM_BUILD_ROOT%_prefix/lib/perl5/vendor_perl/
ln -s $RPM_BUILD_ROOT%_prefix/lib/perl5/{vendor_perl,site_perl}

pushd plug-ins/perl
%perl_fix_local Makefile
%__subst 's|$(PREFIX)/local|$(PREFIX)|g' Makefile
%__subst 's|$(PREFIX)/man|$(PREFIX)/share/man|g' Makefile
%__subst 's|/5.8.0|/|g' Makefile
popd

%make_install install \
	prefix=%buildroot%_prefix \
	exec_prefix=%buildroot%_exec_prefix \
	bindir=%buildroot%_bindir \
	sbindir=%buildroot%_sbindir \
	sysconfdir=%buildroot%_sysconfdir \
	datadir=%buildroot%_datadir \
	includedir=%buildroot%_includedir \
	libdir=%buildroot%_libdir \
	localstatedir=%buildroot%_localstatedir \
	sharedstatedir=%buildroot%_sharedstatedir \
	mandir=%buildroot%_mandir \
	infodir=%buildroot%_infodir \
	gimpdatadir=%buildroot%_datadir/%name/%subver \
	gimpplugindir=%buildroot%_libdir/%name/%subver \
	gimpsysconfdir=%buildroot%_sysconfdir/%name/%subver \
	PREFIX=%buildroot%_prefix \
	INSTALLMAN3DIR=%buildroot%perl_vendor_man3dir \
	INSTALLMAN1DIR=%buildroot%perl_vendor_man1dir

rm $RPM_BUILD_ROOT/%{_libdir}/gimp/%{subver}/plug-ins/print

chmod 755 $RPM_BUILD_ROOT%_libdir/%name/%subver/plug-ins/*
#
# Plugins and modules change often (grab the executeable ones).
#
echo '%defattr(-,root,root,755)' >%name-plugin.files
find $RPM_BUILD_ROOT%_libdir/%name/%subver/plug-ins -type f -print0 | xargs -r0 file | fgrep -v perl | cut -d: -f1 | sed "s@^$RPM_BUILD_ROOT@@g" >>%name-plugin.files

#
# Now pull the perl ones out.
#
find $RPM_BUILD_ROOT%_libdir/%name/%subver/plug-ins -type f -print0 |xargs -r0 file | fgrep perl | cut -d: -f1 | sed "s@^$RPM_BUILD_ROOT@@g" >%name-perl-plugin.files

#
# Auto detect the lang files.
#
%find_lang $RPM_BUILD_ROOT %name
%find_lang $RPM_BUILD_ROOT %name-std-plugins
%find_lang $RPM_BUILD_ROOT %name-script-fu

chmod 644 $RPM_BUILD_ROOT%_datadir/%name/%subver/tips/%{name}*.txt*
#
# Tips
#
echo "%_datadir/%name/%subver/tips/gimp_tips.txt" >%name-tips.files
#echo "%_datadir/%name/%subver/tips/gimp_tips.ru.txt.1251" >>%name-tips.files
#echo "%_datadir/%name/%subver/tips/gimp_tips.uk.txt.1251" >>%name-tips.files
for I in `ls $RPM_BUILD_ROOT%_datadir/%name/%subver/tips/gimp*.[a-z]*.txt | sed "s@^$RPM_BUILD_ROOT@@g"`; do
   tip_lang=`basename $I | cut -d. -f2`
   echo "%lang($tip_lang) $I" >> %name-tips.files
done

#
# Build the master filelists generated from the above mess.
#
cat %name.lang %name-std-plugins.lang %name-script-fu.lang %name-plugin.files %name-tips.files >%name.files

# install desktop entry (does Mandrake need this ?)
install -p -m644 -D $RPM_SOURCE_DIR/%name.desktop %buildroot%_sysconfdir/X11/applnk/Graphics/%name.desktop

#cd docs
#make prefix=$RPM_BUILD_ROOT%prefix install

mkdir -p $RPM_BUILD_ROOT%_iconsdir/{large,mini}
install -p -m644 -D %SOURCE10 $RPM_BUILD_ROOT%_iconsdir/mini/wilbur.xpm
install -p -m644 -D %SOURCE11 $RPM_BUILD_ROOT%_iconsdir/wilbur.xpm
install -p -m644 -D %SOURCE12 $RPM_BUILD_ROOT%_iconsdir/large/wilbur.xpm

cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): command="%name" icon="wilbur.xpm" section="Multimedia/Graphics" title="The GIMP" longtitle="The GNU Image Manipulation Program" needs="x11" kde_mimetype="image/gif;image/jpeg;image/png;image/tiff;image/x-xbm;image/x-xpm;image/bmp;image/fits;image/pcx;image/pix;image/pnm;"
EOF

cd  $RPM_BUILD_ROOT%_libdir
# compat symlink to get stuff working.
ln -sf lib%name-%subver.so.2.0.0 lib%name.so.2
ln -sf libgimpui-%subver.so.2.0.0 libgimpui.so.2
ln -sf libgck-%subver.so.2.0.0 libgck.so.2

%post
%update_menus

%postun
%clean_menus

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%files -f %name.files
%attr(-,root,root) %config(missingok,noreplace) %_sysconfdir/X11/applnk/Graphics/%name.desktop

%dir %_sysconfdir/%name
%dir %_sysconfdir/%name/%subver
%dir %_libdir/%name
%dir %_libdir/%name/%subver
%dir %_libdir/%name/%subver/plug-ins
%dir %_datadir/%name/%subver/tips
%dir %_datadir/%name/%subver/patterns
%dir %_datadir/%name/%subver/scripts
%dir %_datadir/%name/%subver/brushes
%dir %_datadir/%name/%subver/devel-docs
%dir %_datadir/%name/%subver/devel-docs/html
%dir %_datadir/%name/%subver/devel-docs/html/lib%name
%dir %_datadir/%name/%subver/fractalexplorer
%dir %_datadir/%name/%subver/gfig
%dir %_datadir/%name/%subver/gflare
%dir %_datadir/%name/%subver/gflare/Bright_Star
%dir %_datadir/%name/%subver/gflare/Classic
%dir %_datadir/%name/%subver/gflare/Default
%dir %_datadir/%name/%subver/gflare/Distant_Sun
%dir %_datadir/%name/%subver/gflare/GFlare_101
%dir %_datadir/%name/%subver/gflare/GFlare_102
%dir %_datadir/%name/%subver/gflare/Hidden_Planet
%dir %_datadir/%name/%subver/gimpressionist/Brushes
%dir %_datadir/%name/%subver/gimpressionist/
%dir %_datadir/%name/%subver/gimpressionist/Paper
%dir %_datadir/%name/%subver/gimpressionist/Presets
%dir %_datadir/%name/%subver/gradients
%dir %_datadir/%name/%subver/palettes

%_iconsdir/mini/wilbur.xpm
%_iconsdir/large/wilbur.xpm
%_iconsdir/wilbur.xpm
%_menudir/%name
%_bindir/gimp
%_bindir/gimp-1.2
%_bindir/gimp-remote
%_bindir/gimp-remote-1.2
#_bindir/embedxpm
%_bindir/xcftopnm
%_datadir/%name/%subver/scripts/*
%_datadir/%name/%subver/fractalexplorer/*
%_datadir/%name/%subver/gfig/*
%_datadir/%name/%subver/gimpressionist/Presets/*
%_datadir/%name/%subver/gimpressionist/Brushes/*
%_datadir/%name/%subver/gimpressionist/Paper/*
%_datadir/%name/%subver/gradients/*
%_datadir/%name/%subver/palettes/*
%_datadir/%name/%subver/patterns/*
%_datadir/%name/%subver/brushes/*
%_datadir/%name/%subver/help
%_datadir/%name/%subver/user_install
%_datadir/%name/%subver/gimp_logo.ppm
%_datadir/%name/%subver/gimp_splash.ppm
%config(noreplace) %_sysconfdir/%name/%subver/gimprc
%config(noreplace) %_sysconfdir/%name/%subver/gimprc_user
%config(noreplace) %_sysconfdir/%name/%subver/gtkrc
%config(noreplace) %_sysconfdir/%name/%subver/unitrc
%config(noreplace) %_sysconfdir/%name/%subver/ps-menurc
%_mandir/man1/gimp.1*
%_mandir/man1/gimp-*
%_mandir/man1/embedxpm*
%_mandir/man1/xcftopnm*
%_mandir/man5/gimprc.5*
%_mandir/man5/gimprc-*
%doc AUTHORS COPYING ChangeLog* MAINTAINERS INSTALL NEWS README TODO
%doc PLUGIN_MAINTAINERS docs/*.txt docs/*ps* docs/Wilber* ABOUT-NLS README.i18n
%doc README.perl README.win32 TODO

%files -n lib%name
%_libdir/*.so*
%dir %_libdir/%name
%dir %_libdir/%name/%subver
%dir %_libdir/%name/%subver/modules
%_libdir/%name/%subver/modules/*.so

%files -n lib%name-devel
%_bindir/gimptool
%_bindir/gimptool-1.2
%_bindir/gimp-config
#%_bindir/escputil* in gimp-print !
%_datadir/%name/%subver/devel-docs/html/lib%name/*
%_datadir/aclocal/%name.m4
%_includedir/*
%_libdir/lib*.la
%dir %_libdir/%name
%dir %_libdir/%name/%subver
%dir %_libdir/%name/%subver/modules
%_libdir/%name/%subver/modules/*.la
%_mandir/man1/gimptool.1*

%files -n lib%name-devel-static
%_libdir/lib*.a
%dir %_libdir/%name
%dir %_libdir/%name/%subver
%dir %_libdir/%name/%subver/modules
%_libdir/%name/%subver/modules/*.a

%files perl -f %name-perl-plugin.files
%perl_vendor_man3dir/*
%perl_vendor_archlib/Gimp*
%perl_vendor_archlib/auto/Gimp*
%dir %_libdir/%name
%dir %_libdir/%name/%subver
%dir %_libdir/%name/%subver/plug-ins

%changelog
* Sun Jun 15 2003 AEN <aen@altlinux.ru> 1.2.5-alt1
- new version
- embedxpm temporary removed 

* Mon Nov 04 2002 AEN <aen@altlinux.ru> 1.2.3-alt6
- broken manpages fixed (#1515)
- %dir /usr/share/icons/mini removed

* Sat Nov 02 2002 AEN <aen@altlinux.ru> 1.2.3-alt5
- rebuilt with perl-5.8.0

* Wed Sep 18 2002 AEN <aen@altlinux.ru> 1.2.3-alt4
- configure parameters fixed

* Tue Sep 17 2002 AEN <aen@altlinux.ru> 1.2.3-alt3
- wget fix from RH
- built with gcc-3.2

* Mon Mar 18 2002 AEN <aen@logic.ru> 1.2.3-alt2
- Lab compose/decompose added

* Wed Feb 13 2002 AEN <aen@logic.ru> 1.2.3-alt1
- new version

* Thu Feb 07 2002 AEN <aen@logic.ru> 1.2.2-alt4
- 1251 fixed

* Mon Nov 05 2001 AEN <aen@logic.ru> 1.2.2-alt3
- symlinks to libraries fixed

* Thu Oct 11 2001 AEN <aen@logic.ru> 1.2.2-alt2
- rebuild with libpng.so.3

* Fri Aug 10 2001 AEN <aen@logic.ru> 1.2.2-alt1
- new release
- print plugin moved to gimp-print package

* Wed Jul 25 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.2.1-ipl5mdk
- Rebuilt with new perl.
- Renamed %name-lib%name subpackage to lib%name.
- Rearranged files to avoid duplication.

* Mon Jun 25 2001 AEN <aen@logic.ru> 1.2.1-ipl4mdk
- built with perl-5.6.1

* Thu Jun 7 2001 AEN <aen@logic.ru> 1.2.1-ipl3mdk
- symlinks fixed (bug #52)
* Sun Mar 4 2001 AEN <aen@logic.ru> 1.2.1-ipl2mdk
- spec cleanup
- mookidization

* Sat Feb 17 2001 AEN <aen@logic.ru> 1.2.1-ipl1mdk
- 1.2.1
- new locale patch

* Wed Jan 10 2001 AEN <aen@logic.ru>  1.2.0-ipl2mdk
- locale patch
- new print
- configure patch for libbmpeg detection

* Tue Dec 26 2000 AEN <aen@logic.ru>
- 1.2 final

* Tue Dec 19 2000 AEN <aen@logic.ru>
- fix man3dir in install
- rebuild with new perl package

* Thu Dec 14 2000 AEN <aen@logic.ru>
- 1.1.30
- adopted for RE

* Wed Dec 06 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.29-4mdk
- rename gimp-libgimp as libgimp

* Wed Dec 06 2000 David BAUDENS <baudens@mandrakesoft.com> 1.1.29-3mdk
- PPC: rebuild with gcc-2.96 (egcs no longer needed :)

* Wed Nov 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.29-2mdk
- make rpmlint happier

* Wed Nov 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.29-1mdk
- new release

* Tue Oct 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.28-1mdk
-  new release
- fix building

* Thu Oct 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.27-1mdk
- new release

* Fri Oct  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.25-12mdk
- Fix menus (titisuchi).

* Thu Oct 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-11mdk
- rename icons

* Wed Oct 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-10mdk
- readd gimp to mime menu of kde from Gregory Letoquart (f**cking broken
  ml :-(; next time mail the rpm maintainner)

* Wed Oct 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-9mdk
- better icons in menus

* Wed Oct 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-8mdk
- fix gimp-print (Till)
- fix requires for new gimp-print

* Tue Oct 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-7mdk
- spec cleanup (1 define less to update)
- build release as requested by lord FredL

* Wed Sep 27 2000 Vincent Saugey <vince@mandrakesoft.com> 1.1.25-6mdk
- change gimp perl group to graphics

* Sun Sep 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.1.25-5mdk
- Fix build on PPC

* Sat Sep 02 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.25-4mdk
- improve symlinking for compat. symlink.

* Wed Aug 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-3mdk
- fix bad links in description
- speed up %%install
- make installation of gimp-perl short-circuit compliant
- reuse macros removed by Jan

* Tue Aug 22 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-2mdk
- a few minor cleanings
- enable build to use SMP

* Tue Aug 22 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-1mdk
- new release
- fix mpeg plugin since the required lib conflicts with KDE2
- add support for SMP
- move the configure in build section, not in prepare one
- fix spec for new pixel spec-helper which delete "*.bs"

* Sun Aug 13 2000 Jan Dittberner <jan@jan-dittberner.de> 1.1.24-4mdk
- bzip2'ed perl patch
- set URL to correct directory

* Sat Aug 12 2000 Reinhard Katzmann <reinhard@suamor.de> 1.1.24-3mdk
- merged with gimp-spec from redhat
- file section improved due to merge (includes gimp-perl now!)
- added a few doc directories (files were already there)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.24-2mdk
- automatically added BuildRequires

* Fri Aug 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.24-1mdk
- BM. ok, this one really give me a hard time to build with new rpm :-(
- update to 1.1.24 and remove it from contribs
- don't use find_lang on gimp, it only guess gimp.mo not gimp-std-plugins.mo
  and gimp-script-fu.mo

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-15mdk
- BM & new macros

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 1.0.4-14mdk
- Somewhat fix the icons

* Mon Apr 17 2000 DindinX <odin@mandrakesoft.com> 1.0.4-13mdk
- patch for the logo script so they use 'avantgarde' font which is
  always installed (at least for western language).
  This should close the feature #39 for now, until gimp 1.2
- make the menu entry use the wilbur.xpm icon
- compressed icons

* Thu Apr 13 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.4-12mdk
- Grrr... Renamed icons because of a conflict with mandrake_desk

* Thu Apr 13 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.4-11mdk
- Weee... Major spec cleanup
- Menu entry
- Icons
- %files list fixes - was badly needed
- Titi sucks, no version in last changelog

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- updated to use our new tools (spechelper) and new namins standards
- add gimp manpage :-(
- compress the postscripts we provide

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize

* Tue Nov 02 1999 John Buswell <johnb@mandrakesoft.com>
- Rebuild and Repackage for oxygen

* Tue Oct 06 1999 Francis Galiegue <francis@mandrakesoft.com>
- Recompiled with gcc instead of pgcc, as the latest introduced bugs

* Thu Sep 02 1999 Francis Galiegue <francis@mandrakesoft.com>
- (thanks to Guiseppe Ghib <ghibo@linux-mandrake.com>) added gimptool
  to gimp-devel
- put in debug code, forgot to remove it, done
- (thanks to Guiseppe Ghib <ghibo@linux-mandrake.com>) added aalib
  plugin
* Tue Aug 31 1999 Francis Galiegue <francis@mandrakesoft.com>
- fixed a bug in Makefile.in that made %_bindir/install
  try to strip a shell script...
- gimp now prints

* Sun Apr 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Removig the prefix=/usrcd/

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.

* Mon Apr  5 1999 Matt Wilson <msw@redhat.com>
- install binaries stripped by default

* Mon Apr  5 1999 Matt Wilson <msw@redhat.com>
- updated to official 1.0.4 release

* Wed Mar 31 1999 Matt Wilson <msw@redhat.com>
- updated for 1.0.4 release
- requires gtk+ >= 1.2

* Sun Mar 14 1999 Matt Wilson <msw@redhat.com>
- updated for 1.0.3 release
- updated group

* Mon Apr 20 1998 Marc Ewing <marc@redhat.com>
- include *.xpm and .wmconfig in CVS source
- removed explicit glibc require

* Thu Apr 16 1998 Marc Ewing <marc@redhat.com>
- Handle builds using autogen.sh
- SMP builds
- put in CVS, and tweak for automatic CVS builds

* Sun Apr 12 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to 0.99.26

* Sat Apr 11 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to 0.99.25

* Wed Apr 08 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to version 0.99.24

* Sun Apr 05 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Stop building the docs - they require emacs and
  (even worse), you must run X.

* Fri Mar 27 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- upgraded to 0.99.23

* Sat Mar 21 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- No longer requires xdelta, that was a bug on my part
- spec cleanup, changed libgimp copyright, can now be
  built by non-root users, removed some lines in the description

* Fri Mar 20 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- upgraded to 0.99.22

* Sun Mar 15 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- upgraded to 0.99.21

* Thu Mar 12 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to 0.99.20

* Mon Mar 09 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Recompiled with gtk+ 0.99.5
- Now requires gtk+ >= 0.99.5 instead of gtk+ 0.99.4

